Assignee:

Category: Unknown

Pull Request or Patch supplied:No Resolution: duplicate

Easy fix?: No Copied to github as #: 23810

Description

In QGIS (2.14.5LTR) when having an svg marker symbol it is not updated when editing it in inkscape and saving it to the same

name/location. Even when switching to another svg symbol and then switching back to the one before, the old version of the symbol is

displayed and not the one just edited. And simply loading the new version does not work too (the old one is still kept).

Seems to me that there is a QgsSvgCache instantiated when load an svg symbol from file, that is not cleared / updated when load a svg

with the same name/location.

Request: Would it be possible to add some sort of 'update' or 'refresh' button to the QgsSvgSelectorWidget that updates

the cache when the symbol has changed?

ref. to [[http://gis.stackexchange.com/questions/218978/qgis-update-svg-marker-symbols]]

History

#1 - 2016-11-24 05:48 AM - Jochen Schwarze

- File svg_symbol_marker_refresh_button.png added

#2 - 2016-11-24 03:10 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #13565

#3 - 2017-09-22 09:56 AM - Jürgen Fischer

- Category set to Unknown

Files
